%% flag_cell
% mode
%   0 - normal
%   1 - red (error/false)
%   2 - green (ok/true)
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = flag_cell(object,mode)

if (isempty(object.color))
    object.color = get(object.cond,'BackgroundColor');
end

if (mode == 0)
    set(object.cond,'BackgroundColor',object.color);
elseif (mode == 1)
    set(object.cond,'BackgroundColor',[0.92 0.65 0.65]);
elseif (mode == 2)
    set(object.cond,'BackgroundColor',[0.03 1.0 0.32]);
end

end
